Subject: EmptyView is misleading
Description

When no template is found, FLOW3 uses \F3\FLOW3\MVC\View\EmptyView as view (see ActionController::resolveView()).
Instead we should use the NotFoundView that was introduced in r2888 to display a more meaningful error to the user.

So instead of:

if ($viewObjectName === FALSE) $viewObjectName = 'F3\FLOW3\MVC\View\EmptyView';

something like

if ($viewObjectName === FALSE) {
    $view = $this->objectManager->getObject('F3\FLOW3\MVC\View\NotFoundView');
    $view->assign('errorMessage', 'dummdidumm');
}

Then EmptyView could be removed I guess..

Associated revisions
Revision ade30230 - 2009-09-23 11:13 - Karsten Dambekalns

[+FEATURE] FLOW3 (MVC): Removed EmptyView and made NotFoundView display helpful message instead, resolves #4405.

History
#1 - 2009-08-31 14:00 - Bastian Waidelich

Bastian Waidelich wrote:

Then EmptyView could be removed I guess..

The empty magic call method from EmptyView should be added to the NotFoundView to prevent PHP from issuing a fatal error when calling
non-existing methods.

#2 - 2009-08-31 14:07 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

I'll provide a patch with the suggested changes

#3 - 2009-09-04 11:49 - Bastian Waidelich
- File 4405_EmptyView_is_misleading.patch added
- File 4405_Testing.patch added
- Assigned To changed from Bastian Waidelich to Robert Lemke

Attached patches replaces EmptyView by NotFoundView in ActionController. Additionally it removes the no longer needed(?) EmptyView.

@Robert: Please validate the patches

#4 - 2009-09-23 00:09 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#5 - 2009-09-23 12:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3212.

Files
4405_EmptyView_is_misleading.patch 9.5 kB 2009-09-04 Bastian Waidelich
4405_Testing.patch 1.1 kB 2009-09-04 Bastian Waidelich
